## hb-ot-meta

hb-ot-meta — OpenType Metadata

## Functions

unsigned int | hb_ot_meta_get_entry_tags ()
hb_blob_t * | hb_ot_meta_reference_entry ()

## Types and Values

enum | hb_ot_meta_tag_t

## Includes

    #include <hb-ot.h>

## Description

Functions for fetching metadata from fonts.

## Functions

### hb_ot_meta_get_entry_tags ()

    unsigned int
    hb_ot_meta_get_entry_tags (hb_face_t *face,
                               unsigned int start_offset,
                               unsigned int *entries_count,
                               hb_ot_meta_tag_t *entries);

#### Parameters

face | a face object |
start_offset | iteration's start offset |
entries_count | buffer size as input, filled size as output. | [inout][allow-none]
entries | entries tags buffer. | [out caller-allocates][array length=entries_count]

#### Returns

Number of all available feature types.

Since: 2.6.0

### hb_ot_meta_reference_entry ()

    hb_blob_t *
    hb_ot_meta_reference_entry (hb_face_t *face,
                                hb_ot_meta_tag_t meta_tag);

It fetches metadata entry of a given tag from a font.

#### Parameters

face | a hb_face_t object. |
meta_tag | tag of metadata you like to have. |

#### Returns

A blob containing the blob.

[transfer full]

Since: 2.6.0

## Types and Values

### enum hb_ot_meta_tag_t

Known metadata tags from https://docs.microsoft.com/en-us/typography/opentype/spec/meta

#### Members

HB_OT_META_TAG_DESIGN_LANGUAGES | Design languages. Text, using only Basic Latin (ASCII) characters. Indicates languages and/or scripts for the user audiences that the font was primarily designed for. |
HB_OT_META_TAG_SUPPORTED_LANGUAGES | Supported languages. Text, using only Basic Latin (ASCII) characters. Indicates languages and/or scripts that the font is declared to be capable of supporting. |
_HB_OT_META_TAG_MAX_VALUE |  |

Since: 2.6.0